# Get a list of rental discount plan rules Endpoint: GET /rental-discount-plan-rules Version: 2.22 Security: bearerAuth ## Query parameters: - `page` (integer, required) Page of results to show Example: 1 - `pageSize` (integer, required) Results to return per page Example: 100 - `sort` (string) Comma-delimited list of the fields to sort by - defaults to ascending order, suffix :desc to change Example: "id,name | name:desc" - `fields` (string) Comma-delimited list of the field(s) to return if only a subset is required Example: "id,name" - `rentalDiscountPlanId` (string) Filter by rental discount plan Example: "0" - `productCategoryId` (string) Filter by product category Example: "0" - `rentalProductId` (string) Filter by rental product Example: "0" ## Response 200 fields (application/json): - `id` (integer) Rental discount plan rule identifier Example: 1 - `rentalDiscountPlanId` (integer, required) Rental discount plan identifier Example: 1 - `productCategoryId` (integer, required) Product category identifier. The rule applies to all rental products in this category (unless rentalProductId is specified) Example: 1 - `rentalProductId` (integer) Rental product identifier. Optional - if specified, the rule applies only to this specific rental product within the category Example: 1 - `discountPercentage` (number, required) Discount percentage to apply (0-100) Example: 15 ## Response 400 fields ## Response 401 fields ## Response 404 fields